%define prever pre10

Name:		jabber-msn-t
Version:	1.2.8
Release:	alt0.1.%prever

Summary:	MSN transport for Jabber server
Summary(ru_RU.CP1251): MSN    Jabber
Group:		System/Servers
URL:		http://msn-transport.jabberstudio.org/
Copyright:	GPL

PreReq:		jabber
Obsoletes:	jabber-msn

Source: msn-transport-%version%prever.tar.bz2
Patch0: msn-transport-1.2.8pre10-curl-config.patch

# Automatically added by buildreq on Sun Oct 05 2003
BuildRequires: jabber-devel libcurl-devel libpth-devel libssl-devel zlib-devel

%description
Jabber-transport which provides interoperability between
MSN and Jabber instant messaging systems.

%prep
%setup -q -n msn-transport-%version%prever
%patch0 -p1

# Needed for Patch0
%__autoconf

%build
%configure \
    --with-jabberd=%_includedir/jabber \
    --with-pth=%_includedir
%make_build CFLAGS="$RPM_OPT_FLAGS"

%install
%__install -d -m 755 $RPM_BUILD_ROOT%_libdir/jabber/msn-transport
%__install -m 755 src/msntrans.so $RPM_BUILD_ROOT%_libdir/jabber/msn-transport

%post
%post_service jabber

%files
%doc AUTHORS README msnt.xml
%_libdir/jabber/msn-transport

%changelog
* Sun Oct 05 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.8-alt0.1.pre10
- Updated to the latest release
- Sample config file in docs

* Fri Sep 06 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.0-alt0.1.20011217
- Separate package for the Jabber MSN transport
